Subject: Re: [PATCH 5/10] [NET]: Avoid unnecessary cloning for ingress filtering

From: jamal <[email-masked]>
Date: Tue, 16 Oct 2007 06:28:02 -0400

On Mon, 2007-15-10 at 18:55 +0400, Alexey Kuznetsov wrote:
> Hello!

Didnt mean to wake you up Alexey ;->

> I see not so many places inside net/sched/act* where skb_clone is used.
> Exactly one in act_mirred.c, to be more exact. Did I miss something?

No you are right, thats the only spot at the moment. 
What i meant however was the design-intent/enviromental-rules for all
actions that branch is to clone, and when you do that you reset those
fields i described. I am looking at the new clone and i can see
Herbert's point - it does look less pleasant to stare at with that
#ifdef; i will send a patch to pull it out and also write a small doc to
describe the environmental rules.

cheers,
jamal